# VCardAvatarUpdatedEvent class

Triggered when we receive a new or updated avatar via XEP-0054

Inheritance
  - Object
  - XmppEvent
  - VCardAvatarUpdatedEvent

## Constructors

VCardAvatarUpdatedEvent (JID jid, String hash)

## Properties

hash → String
  The SHA-1 hash of the avatar.
  final
hashCode → int
  The hash code for this object.
  no setterinherited
jid → JID
  The JID of the entity that updated their avatar.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited